/*
 * defines.h
 *
 * Created: 07/07/2013 13:20:43
 *  Author: operador
 */ 


#ifndef DEFINES_H_
#define DEFINES_H_


// taken from FreeRTOS portable types
#define portCHAR        char
#define portFLOAT       float
#define portDOUBLE      double
#define portLONG        long
#define portSHORT       short
#define portSTACK_TYPE  unsigned portLONG
#define portBASE_TYPE   portLONG

// USART connected to the MAX 232
#define serial_232_PORT_USART              (&AVR32_USART0)
#define serial_232_PORT_USART_RX_PIN       AVR32_USART0_RXD_0_0_PIN
#define serial_232_PORT_USART_RX_FUNCTION  AVR32_USART0_RXD_0_0_FUNCTION
#define serial_232_PORT_USART_TX_PIN       AVR32_USART0_TXD_0_0_PIN
#define serial_232_PORT_USART_TX_FUNCTION  AVR32_USART0_TXD_0_0_FUNCTION
#define serial_232_PORT_USART_IRQ          AVR32_USART0_IRQ
#define serial_232_PORT_USART_BAUDRATE     57600



#endif /* DEFINES_H_ */